- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Host::CRegistry Class Reference

List of all members.

## Detailed Description

Read / Write to the registry.

Date:
  21/08/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CRegistry.hpp,v 1.4 2007/02/08 21:06:44 paul Exp

Definition at line 39 of file CRegistry.hpp.

## Public Types

- enum ERegistry {
  e_localMachine = 0,
  e_currentUser,
  e_currentApplication
  }
    Registry enumeration, check specifics for system. More...

## Static Public Member Functions

- static bool createRegistryEntry (const ERegistry registry, const CString &registryKey)
- static bool deleteRegistryEntry (const ERegistry registry, const CString &registryKey, const CString &key)
- static TCountedPointerArray<
  CRegistryInfo > enumerateRegistryKeyValues (const ERegistry registry, const CString &registryKey)
- static bool readFromRegistry (const ERegistry registry, const CString &registryKey, const CString &key, CSystemString &input)
- static bool writeToRegistry (const ERegistry registry, const CString &registryKey, const CString &key, const CString &value)

## Member Enumeration Documentation

enum Exponent::Host::CRegistry::ERegistry

Registry enumeration, check specifics for system.

Enumerator:

  e_localMachine | Invalid on MACOSX (WIN32 only), if used on macosx will be replaced by current user
  e_currentUser | Valid on MACOSX
  e_currentApplication | Invalid on WIN32 (MACOSX only), if used on windows will cause an error

Definition at line 49 of file CRegistry.hpp.

## Member Function Documentation

static bool Exponent::Host::CRegistry::createRegistryEntry | ( | const ERegistry | registry,
|  | const CString & | registryKey |
| ) |  |  | `[static]`

Add to the registry.. WARNING! WARNING! WARNING! Could potentially be very damaging to system

Parameters:

  | registry | The registry to add to
  | registryKey | the registryKey (eg Exponent\GFlux)

Return values:

  | bool | True if added properly, false otherwise

static bool Exponent::Host::CRegistry::deleteRegistryEntry | ( | const ERegistry | registry,
|  | const CString & | registryKey,
|  | const CString & | key |
| ) |  |  | `[static]`

Delete from the registry.. WARNING! WARNING! WARNING! Could potentially be very damaging to system

Parameters:

  | registry | The registry to delete from
  | registryKey | the registryKey (eg Exponent\GFlux)
  | key | the key to delete (eg DataPath)

Return values:

  | bool | True if deleted properly, false otherwise

static TCountedPointerArray<CRegistryInfo> Exponent::Host::CRegistry::enumerateRegistryKeyValues | ( | const ERegistry | registry,
|  | const CString & | registryKey |
| ) |  |  | `[static]`

Enumerate a registry key

Parameters:

  | registry | The registry to enumerate
  | registryKey | The root key

Return values:

  | TCountedPointerArray<CRegistryInfo> | The array of CRegistryInfo

See also:
  CRegistryInfo

static bool Exponent::Host::CRegistry::readFromRegistry | ( | const ERegistry | registry,
|  | const CString & | registryKey,
|  | const CString & | key,
|  | CSystemString & | input |
| ) |  |  | `[static]`

Read from the registry

Parameters:

  | registry | The registry to delete from
  | registryKey | the registryKey (eg Exponent\GFlux)
  | key | the key to read (eg DataPath)
  | input | On return is filled with the registry value

Return values:

  | bool | True if read properly, false otherwise

static bool Exponent::Host::CRegistry::writeToRegistry | ( | const ERegistry | registry,
|  | const CString & | registryKey,
|  | const CString & | key,
|  | const CString & | value |
| ) |  |  | `[static]`

Write to the registry

Parameters:

  | registry | The registry to delete from
  | registryKey | the registryKey (eg Exponent\GFlux)
  | key | the key to write (eg DataPath)
  | value | The value to give the key

Return values:

  | bool | True if written properly, false otherwise